import request from '@/utils/request'

// 查询能源月份单价列表
export function listBaseEnergyPrice(query) {
  return request({
    url: '/ems/base/baseEnergyPrice/list',
    method: 'get',
    params: query
  })
}

// 查询能源月份单价详细
export function getBaseEnergyPrice(objId) {
  return request({
    url: '/ems/base/baseEnergyPrice/' + objId,
    method: 'get'
  })
}

// 新增能源月份单价
export function addBaseEnergyPrice(data) {
  return request({
    url: '/ems/base/baseEnergyPrice',
    method: 'post',
    data: data
  })
}

// 修改能源月份单价
export function updateBaseEnergyPrice(data) {
  return request({
    url: '/ems/base/baseEnergyPrice',
    method: 'put',
    data: data
  })
}

// 删除能源月份单价
export function delBaseEnergyPrice(objId) {
  return request({
    url: '/ems/base/baseEnergyPrice/' + objId,
    method: 'delete'
  })
}
